unit Unitdefs;

interface
uses windows;
                 
Const DLLName = 'USBIICMSxDev.DLL';
      RET_OK  = 0;

      CMD_WRBYTE      = $01;
      CMD_WRWORD      = $02;
      CMD_WRDWORD     = $03;
      CMD_WRBLOCK     = $04;
      CMD_RDBYTE      = $05;
      CMD_RDWORD      = $06;
      CMD_RDDWORD     = $07;
      CMD_RDBLOCK     = $08;

function initusbiic(pIRQCallBack : pointer; pSlaveCallback : pointer; pcMSGID : PChar) : DWORD; stdcall; external DLLName;
function enumdevices : integer; stdcall; external DLLName;
function getproductversion(index : Integer) : pchar; stdcall; external DLLName;
function getvendorname(index : Integer) : pchar; stdcall; external DLLName;
function getproductname(index : Integer) : pchar; stdcall; external DLLName;
function getserialnumber(index : Integer) : pchar; stdcall; external DLLName;
function getindexbyserial(pcserialnum : PChar) : Integer; stdcall; external DLLName;
function opendevice(index : Integer) : DWORD; stdcall; external DLLName;
function closedevice(index : Integer): DWORD; stdcall; external DLLName;
function isdeviceopen(index : Integer): DWORD; stdcall; external DLLName;
function geti2cstatusstring(wstatus : word) : PChar; stdcall; external DLLName;
function writei2c(index : Integer; ucSlvAdr : Byte; const pi2cdata; wSize: WORD; var wstatus : WORD;
                  dwTimeOut : DWORD): DWORD; stdcall; external DLLName;
function readi2c(index : Integer; ucSlvAdr : Byte; var pi2cdata; var wSize, wstatus : WORD;
                 dwTimeOut : DWORD): DWORD; stdcall; external DLLName;
function scani2c(index : Integer; var pScandata; var ucSize : Byte;
                 dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function setsclhilo(index : Integer; wSCLH, wSCLL : WORD;
                    dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function getsclhilo(index : Integer; var wSCLH, wSCLL : WORD;
                    dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function setscl(index : Integer; dwfreq : DWORD; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function getscl(index : Integer; var dwfreq : DWORD; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function resetirq(index : Integer; var ucIRQMode : Byte; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function wrdi2c(index : Integer; ucSlvAdr : Byte; const pWRData; wWRSize : WORD;
                var pRDData; var wRDSize , wStatus : WORD;
                dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
                
//---seti2cmode still exists, but use "setmode" instead----
function seti2cmode(index : Integer; var ucmode, ucslvadr : Byte; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function setmode(index : Integer; var ucmode, ucslvadr : Byte; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;

function writei2cslavebuf(index : Integer; const pi2cdata; wSize : WORD; ucEvent : Byte;
                           dwTimeOut : DWORD): DWORD; stdcall; stdcall; external DLLName;
function seti2cslvaddr(index : Integer; var ucslvadr : byte; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function chkslvaddr(index : Integer; ucSlvAddr : Byte; var ucConnected : Byte; dwTimeOut : DWORD): DWORD; stdcall; external DLLName;
function geterrorstring(dwerr : DWORD) : pchar; stdcall; external DLLName;

function memwr8bit(index : Integer; wAddr : WORD; ucVal : Byte; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function memwr16bit(index : Integer; wAddr : WORD; wVal : WORD; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function memwr32bit(index : Integer; wAddr : WORD; dwVal : DWORD; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function memwrblock(index : Integer; wAddr : WORD; const pmemdata; wSize : WORD; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function memrd8bit(index : Integer; wAddr : WORD; var ucVal : Byte; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function memrd16bit(index : Integer; wAddr : WORD; var wVal : WORD; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function memrd32bit(index : Integer; wAddr : WORD; var dwVal : DWORD; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function memrdblock(index : Integer; wAddr : WORD; var pmemdata; var wSize : WORD; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function savesettings(index : Integer; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function resetsettings(index : Integer; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;

implementation

end.
